Subject: Re: Requested VLAN ID text correction.

From: Stewart Bryant <[email-masked]>
Date: Tue, 28 Sep 2004 10:03:24 +0100

Luca Martini wrote:

> WG,
>
> After re-reading the last version of the pwe3 control draft , I found 
> that we have a logic issue in the following text:
>
>     - Requested VLAN ID.
>
>       An Optional 16 bit value indicating the requested VLAN ID. This
>       parameter MAY be used by an PE that is incapable of rewriting the
>       802.1Q ethernet VLAN tag on output. If the ingress PE receives
>       this request it MAY rewrite the VLAN ID tag in input to match the
>       requested VLAN ID. If this is not possible, and the VLAN ID does
>       not already match configured ingress VLAN ID the PW should not be
>       enabled.This parameter is applicable only to PW type 4.
>
>
> Unless somebody objects I will correct the text as follows:
>
>     - Requested VLAN ID.
>
>       An Optional 16 bit value indicating the requested VLAN ID. This
>       parameter MUST be used by a PE that is incapable of rewriting the
>       802.1Q ethernet VLAN tag on output. If the ingress PE receives
>       this request it MUST rewrite the VLAN ID tag in input to match
>       the requested VLAN ID. If this is not possible, and the VLAN ID
>       does not already match configured ingress VLAN ID the PW should
>       not be enabled. 

SHOULD NOt or MUST NOT? Surely correct operation requires MUST?

- Stewart

> This parameter is applicable only to PW type 4.
>
>
>
> Luca
>
>
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
>
>

---

From: Luca Martini <[email-masked]>
Date: Tue, 28 Sep 2004 09:13:52 -0600

Yes Good point.

I will change it to :
    - Requested VLAN ID.

       An Optional 16 bit value indicating the requested VLAN ID. This
       parameter MUST be used by a PE that is incapable of rewriting the
       802.1Q ethernet VLAN tag on output. If the ingress PE receives
       this request it MUST rewrite the VLAN ID tag on input to match
       the requested VLAN ID. If this is not possible, and the VLAN ID
       does not already match configured ingress VLAN ID the PW MUST not
       be enabled. This parameter is applicable only to PW type 4.

Luca